> ## Documentation Index
> Fetch the complete documentation index at: https://docs.coaxial.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Remove models

<RequestExample>
  ```bash cURL theme={null}
  curl -X 'POST' \
    'https://api.coaxial.ai/llm_integration/remove' \
    -H 'accept: application/json' \
    -H 'Authorization: Bearer <api_key>'
    -H 'Content-Type: application/json' \
    -d '{
    "coaxial_id": <coaxial_model_id>
  }'
  ```

  ```python python theme={null}
  import coaxial
  from coaxial.models import RemoveModelRequest
  from pprint import pprint

  coaxial_api = coaxial.Api(api_key=<api_key>)
  remove_model_request = RemoveModelRequest(coaxial_id=<coaxial_model_id>)

  try:
      api_response = coaxial_api.model_integration.remove_model_integration(remove_model_request)
      print("The response of ModelIntegrationApi->remove_model_integration:\n")
      pprint(api_response)
  except Exception as e:
      print("Exception when calling ModelIntegrationApi->remove_model_integration: %s\n" % e)
  ```
</RequestExample>

<ResponseExample>
  ```json Example Response theme={null}
  {
    "message": "string"
  }
  ```
</ResponseExample>


## OpenAPI

````yaml post /llm_integration/remove
openapi: 3.1.0
info:
  contact:
    email: team@coaxial.ai
    name: Team Coaxial
  description: The Coaxial REST API. Please see https://docs.coaxial.ai for more details.
  termsOfService: https://coaxial.ai/terms/
  title: The Coaxial API
  version: 0.0.1
servers:
  - description: production
    url: https://api.coaxial.ai
  - description: sandbox
    url: https://sandbox.coaxial.ai
security: []
paths:
  /llm_integration/remove:
    post:
      tags:
        - model_integration
      summary: Remove models
      operationId: remove_model_integration
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/remove_model_request'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/remove_model_response'
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
      security:
        - Authorization: []
components:
  schemas:
    remove_model_request:
      properties:
        coaxial_id:
          format: uuid
          title: Coaxial Id
          type: string
      required:
        - coaxial_id
      title: remove_model_request
      type: object
    remove_model_response:
      properties:
        message:
          title: Message
          type: string
      required:
        - message
      title: remove_model_response
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    Authorization:
      scheme: bearer
      type: http

````